Get a production stream
GET/api/production-streams/{id}
Requires Streams to be enabled in company settings.
Required permissions:
- pipeline.view: allows view resources of projects where the user is the PM or the Account.
- pipeline.view_other: allows view resources of projects where the user is not the PM nor the Account.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the production stream to view
Query Parameters
- Exclude deleted
- Include deleted
- Only deleted
Possible values: [exclude, include, only]
Default value: exclude
Filter items by deletion status.
Exclude soft-deleted records.
Example: exclude
Include both active and soft-deleted records.
Example: include
Return only soft-deleted records.
Example: only
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 404
- 412
Returns the requested production stream.
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
The first day of week of the production stream
The value of production stream
Possible values: >= 1
ID of the project related to this production stream
Possible values: >= 1
ID of the production related to this production stream
Possible values: >= 1
ID of the stream related to this production stream
The date and time when the resource was deleted
{
"id": 1,
"created_at": "2026-02-20T17:23:22.270Z",
"updated_at": "2026-02-20T17:23:22.270Z",
"date": "2024-01-01",
"value": 15.6,
"project_id": 1,
"production_id": 1,
"stream_id": 1,
"deleted_at": "2026-02-20T17:23:22.270Z"
}
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}